<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateEntrega extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('entrega')
			->addColumn('fecha', 'date', ['null' => false])
			->addColumn('fondo_operacion', 'integer', ['length' => 11, 'default' => 0])
			->addColumn('fondo_reserva', 'integer', ['length' => 11, 'default' => 0])
			->addColumn('fecha_fondo_operacion', 'date', ['default' => null, 'null' => true])
			->addColumn('fecha_fondo_reserva', 'date', ['default' => null, 'null' => true])
			->addColumn('pago_operacion', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->addColumn('pago_reserva', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
